<?php
class tagsAction extends baseAction {
    public function index(){
    $data = D('pages');
    $start_time = time()-(60*60*8);
	$map = " 1=1  ";
	$order = ' order by number desc ';
	$result = $data->tags_page(150,$map,$order,'tags');
	// print_r($result);
	$this->assign('list',$result['list']);
	$this->assign('page',$result['page']);
	//调取列表页笑话大全
	$dq_list = M('tag')->order("number desc")->limit(30)->select();
	//调取爆笑精选，带图片
	$bx_list = M('content_content')->where("status=1 and thumb != ''")->order('rand()')->limit(10)->select();
	$this->assign('dq_list',$dq_list);
	$this->assign('bx_list',$bx_list);
	$this->assign('model','tag');
	$this->assign('action','tag');
	$this->display(C('default_tpl').'/Index/tags');
    }
}